 # lyadmin #

 ## install ##

 Setup a clean instance of OpenBSD
 
 Login as root
 
 Run the below command to automatically provision the tilde instance

 ```
 pkg_add wget && wget 'https://git.lain.church/gashapwn/lyadmin/raw/branch/master/perl-script/provision.pl' -O - | perl    
 ```

 or

 ```
 pkg_add wget && wget 'https://s.lain.la/wrMJw' -O - | perl
 ```

 After the scripts run, haproxy, the Flask app for user requests (lingyind) and apache will all be installed and started.

 lingyind listens on 127.0.0.1 port 5000
 
 apache listens on 127.0.0.1 port 5001

 haproxy listens on port 80 on all interfaces

 You should be able to open your instance by IP address in your browser and see the home page

 Make sure to setup HTTPS, setup authorized keys, disable password auth after install

 ## conf ##

 in lyadmin.conf.json you can change the site name, set your email address and update the list of custom shells available
 